## org.biojava.ontology
Class Synonym

    java.lang.Object
      org.biojava.ontology.Synonym

All Implemented Interfaces:
  Comparable<Synonym>

    public class Synonym

extends Object
implements Comparable<Synonym>

Field Summary
`static int` `BROAD_SYNONYM`
`static Comparator<Synonym>` `COMPARATOR`
`static int` `EXACT_SYNONYM`
`static int` `NARROW_SYNONYM`
`static int` `RELATED_SYNONYM`
`static int` `UNKNOWN_SCOPE`

Constructor Summary
`Synonym()`

Method Summary
`int` `compareTo(Synonym o)`
`String` `getCategory()`
`String` `getName()`
`int` `getScope()`
`void` `setCategory(String category)`
`void` `setName(String name)`
`void` `setScope(int scope)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_SCOPE

    public static final int UNKNOWN_SCOPE

See Also:
  Constant Field Values

### RELATED_SYNONYM

    public static final int RELATED_SYNONYM

See Also:
  Constant Field Values

### EXACT_SYNONYM

    public static final int EXACT_SYNONYM

See Also:
  Constant Field Values

### NARROW_SYNONYM

    public static final int NARROW_SYNONYM

See Also:
  Constant Field Values

### BROAD_SYNONYM

    public static final int BROAD_SYNONYM

See Also:
  Constant Field Values

### COMPARATOR

    public static final Comparator<Synonym> COMPARATOR

Constructor Detail

### Synonym

    public Synonym()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

### setName

    public void setName(String name)

### getCategory

    public String getCategory()

### setCategory

    public void setCategory(String category)

### getScope

    public int getScope()

### setScope

    public void setScope(int scope)

### compareTo

    public int compareTo(Synonym o)

  Specified by:
    `compareTo` in interface `Comparable<Synonym>`